API ReferencePayment links
Get a payment link
Retrieves a single payment link by ID. This endpoint is public and does not require authentication — it is used by the checkout page to load link details.
Path Parameters
id*string
The unique identifier of the payment link (UUID).
Format
uuidResponse Body
application/json
application/json
curl -X GET "https://api.justusebag.xyz/api/payment-links/d4e5f6a7-b8c9-4d0e-a1f2-b3c4d5e6f7a8"{
"status": "success",
"data": {
"_id": "d4e5f6a7-b8c9-4d0e-a1f2-b3c4d5e6f7a8",
"name": "Pro Plan",
"description": "Monthly subscription to Pro features",
"amount": 29.99,
"currency": "USD",
"network": "base",
"networks": [
"base",
"polygon"
],
"token": "USDC",
"active": true,
"merchantWalletAddress": "0x1a2B3c4D5e6F7890abCdEf1234567890aBcDeF12",
"merchantName": "Acme Corp",
"totalCollected": 899.7,
"totalTransactions": 30,
"createdAt": "2025-11-15T08:30:00.000Z",
"updatedAt": "2026-02-28T14:22:00.000Z"
}
}{
"status": "error",
"message": "Not found",
"code": "NOT_FOUND"
}